apt-get dist-upgrade broken?

Archived topics about LMDE 1
Forum rules
WLS
Level 1
Level 1
Posts: 3
Joined: Sun Mar 27, 2011 12:41 pm

apt-get dist-upgrade broken?

Postby WLS » Sun Mar 27, 2011 1:01 pm

Completed the DVD install of Mint Debian 2011-Gnome, tried to use Update Manager to update, got the usual "fix broken packages" BS, tried to do it my hand via:

sudo apt-get update
sudo apt-get dist-upgrade

which resulted in a bunch of files getting downloaded, only to have the terminal session turn into this:

apt (0.8.11) unstable; urgency=low

* apt-get install pkg/experimental will now not only switch the
candidate of package pkg to the version from the release experimental
but also of all dependencies of pkg if the current candidate can't
satisfy a versioned dependency.

-- David Kalnischkies <kalnischkies@gmail.com> Fri, 03 Dec 2010 14:09:12 +0100

pam (1.1.2-1) unstable; urgency=low

* Name of option for minimum Unix password length has changed

The Debian-specific 'min=n' option to pam_unix for specifying minimum
lengths for new passwords has been replaced by a new upstream option
called 'minlen=n'. If you are using 'min=n' in
/etc/pam.d/common-password, this will be migrated to the new option name
for you on upgrade. If you have configured pam_unix password changing
elsewhere on your system, such as in a PAM profile under
/usr/share/pam-configs or in other files in /etc/pam.d, you will need to
update them by hand for this change.

-- Steve Langasek <vorlon@debian.org> Tue, 31 Aug 2010 23:09:30 -0700
/tmp/tmpyHAQqk

I've never had this problem before. Does anyone know what is going on, or more importantly, how to fix this?

User avatar
proxima_centauri
Level 11
Level 11
Posts: 3970
Joined: Tue Dec 25, 2007 3:24 pm
Location: NB, Canada

Re: apt-get dist-upgrade broken?

Postby proxima_centauri » Sun Mar 27, 2011 1:24 pm

*Moved to Editions < LMDE (Linux Mint Debian) subforum

Perhaps this thread can be of some assistance -> viewtopic.php?f=141&t=67502

Evnas
Level 1
Level 1
Posts: 3
Joined: Sat Oct 30, 2010 3:59 pm

Re: apt-get dist-upgrade broken?

Postby Evnas » Sun Mar 27, 2011 1:33 pm

Next time it pops up, hit "q" on the keyboard and the update will continue

TBABill
Level 6
Level 6
Posts: 1365
Joined: Wed Dec 30, 2009 1:02 pm
Location: Leonardtown, MD

Re: apt-get dist-upgrade broken?

Postby TBABill » Sun Mar 27, 2011 1:36 pm

Best fix may be to just

Code: Select all

apt-get update && apt-get upgrade && apt-get dist-upgrade

WLS
Level 1
Level 1
Posts: 3
Joined: Sun Mar 27, 2011 12:41 pm

Re: apt-get dist-upgrade broken?

Postby WLS » Mon Mar 28, 2011 7:41 am

Evnas wrote:Next time it pops up, hit "q" on the keyboard and the update will continue


That did the trick. Thanks a lot!

I am still wondering what happened.


Return to “Archive”

Who is online

Users browsing this forum: No registered users and 1 guest